/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.leaveapply.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.leaveapply.entity.LeaveCount;
import com.jeeplus.modules.leaveapply.dao.LeaveCountDao;

/**
 * 请假申请Service
 * @author ssrh
 * @version 2018-09-26
 */
@Service
@Transactional(readOnly = true)
public class LeaveCountService extends CrudService<LeaveCountDao, LeaveCount> {

	public LeaveCount get(String id) {
		return super.get(id);
	}
	
	public List<LeaveCount> findList(LeaveCount leaveCount) {
		return super.findList(leaveCount);
	}
	
	public Page<LeaveCount> findPage(Page<LeaveCount> page, LeaveCount leaveCount) {
		return super.findPage(page, leaveCount);
	}
	
	@Transactional(readOnly = false)
	public void save(LeaveCount leaveCount) {
		super.save(leaveCount);
	}
	
	@Transactional(readOnly = false)
	public void delete(LeaveCount leaveCount) {
		super.delete(leaveCount);
	}
	
	
	
	
}